PDFill PDF Editor with FREE PDF Writer and FREE PDF Tools - www.PDFill.com

PDFill FREE PDF & Image Writer

Get the World's Most Powerful
FREE PDF & Image Creator

Support 2000/XP/2003/Vista/Win7 (x32/x64)

1. Major Features of FREE PDF Writer:

Completely FREE PDF creator: NO Watermarks or Pop-up Advertisements.
Make 100% industry-standard PDF from any file that can print. Just Print into PDFill PDF Writer from your application.
PDF Optimization: Create PDF files optimized for Screen, Ebook (online uses), Printer, Prepress (high resolution and embedded fonts) or Default (wide variety of uses).
PDF Description: Add title, author, subject, keywords, created, creator, producer and version.
PDF Security: Protect PDF with password in different encryption level and options.
PDF View Preference: Set the view options when the PDF is displayed.
PDF Presentation: Set the slide show effect when displaying a PDF as Presentation.
PDF Rotate and Crop: Page Rotation by 0/90/180/270°, Crop box with margins...
Output Options: Use default folder or name, view file after saving, hide the dialog...
Post Process Options: Allow you to Email, Merge, Split or Reorder, Reformat, Header or Footer, Watermark after the PDF creation.
The free programmatic access to the registry is available for the advanced user.

More information

2. Major Features of FREE Image Writer

Print your document into PNG, JPG, BMP, TIF and GIF image file with options of Resolution, Alpha Bits, Rotation or Flip, Output and Registry Control...

Image Options: PNG, JPG, BMP, TIF and GIF

Output Options

More information

3. Install or Uninstall PDFill PDF&Image Writer

4. Quick Start to Create PDF or Image files

5. Frequent Asked Question and Technical Support

6. License Agreement

PDFill Copyright © 2002-2009 by PlotSoft L.L.C.. All rights reserved.


PDFill PDF Editor with FREE PDF Writer and FREE PDF Tools - www.PDFill.com

PDFill FREE PDF Writer

PD Fill FREE PDF Writer is installed as a "printer subsystem” to create highest quality PDF that is distilled directly from Postscript using latest version of FREE GhostScript. With just a push of a button, virtually any Windows applications (HTML, Microsoft® Word, PowerPoint, Excel, AutoCad, and More) can be converted into business quality PDF documents. The free programmatic access is available for the advanced user.

To get free PDF, just print from your application into PDFill PDF&Image Writer!

1. PDF Optimization
2. PDF Description
3. PDF Security
4. PDF View Preference
5. PDF Presentation
6. PDF Page's Rotate and Crop
7. Output Options
8. Install or Uninstall PDFill PDF&Image Writer
 9. Quick Start to Create PDF or Image files
10. Frequent Asked Question and Technical Support

1. PDF Optimization: Includes five PDF output Settings, each of which can be used to produce PDF files at an optimized file size and quality level, depending on how the PDF document will be used.

PDF Output Settings: The default value is Prepress.

  • Screen: Produces a PDF optimized for screen viewing, which is low-resolution output similar to the Acrobat Distiller "Screen Optimized" setting. This configuration creates small PDF files and reduces image resolution to 72 dpi.

  • Ebook: Produces a PDF optimized for eBook usage, which is medium-resolution output similar to the Acrobat Distiller "eBook" setting. This configuration creates average-sized PDF files and compresses all images, optimizing the file for downloading and viewing on a variety of screens.

  • Printer: Produces a PDF optimized for printing to most home and office printers, which is similar to the Acrobat Distiller "Print Optimized" setting. This configuration creates high resolution PDF files, but does not embed fonts.

  • Prepress: Produces a PDF optimized for printing to commercial-quality printers, which is similar to Acrobat Distiller "Prepress Optimized" setting. This configuration creates large PDF files and will automatically embed all fonts and high resolution images for best results when printed on a system other than the one on which the PDF was generated.

  • Default: Produce a PDF intended to be useful across a wide variety of uses, possibly at the expense of a larger output file.

PDF Resolution (dpi): Sets the resolution for pattern fills and for fonts that must be converted to bitmaps. The default value is 300 dpi.

Max Inline Image Size (Bytes): Specifies the maximum size of an inline image, in bytes. For images larger than this size, GhostScript will create an XObject instead of embedding the image into the context stream. The default value is 4000. It may be advantageous to set a small value if the source document is expected to contain multiple identical images, reducing the size of the generated PDF.

Auto Rotate Pages: Controls the automatic orientation selection algorithm. There are 3 options: None Page, All Pages and Page by Page; the default is All Pages.

Process Color Model: Sets the color space to be used for device-dependent colors in the PDF output. There are 3 options: Device Gray, Device RGB, or Device CMYK; the default value is Device RGB.

Compress Embedded Fonts: Defines whether the embedded fonts will be compressed in the output. The default value is true; the false setting is intended only for debugging.

The following registry table sets the properties of the generated PDF:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\PDF_Optimization
USEOPTIMIZATION | Integer | This Flag must be set 1 to use the Optimization options (0/1).
Settings | Integer | Flag to use PDF Settings: 0 for Screen, 1 for Ebook, 2 for Printers, 3 for Prepress, 4 for Defaults.
Resolution | Integer | PDF Resolution in dpi.
Max_Inline_Image | Integer | Max Inline Image Size in Bytes
Auto_Rotate_Page | Integer | Auto Rotate Pages: 0 for None, 1 for All and 2 for Page by Page
Color_Model | Integer | Process Color Model: 0 for Device Gray, 1 for Device RGB and 2 for Device CMYK
CompressFont | Integer | Flag to Compress Embedded Fonts

2. PDF Description: Add the basic information about the document, including title, author, subject, keywords, created, creator, producer and PDF version information.

The following registry table sets the properties of the generated PDF:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\PDF_Description
USEDESCRIPT | Integer | This Flag must be set 1 to use the Description options (0/1).
TITLE | String | title
AUTHER | String | author
SUBJECT | String | subject
KEYWORD | String | keywords
CREATIONDATE | String | created
CREATOR | String | creator
PRODUCER | String | producer
PDFVERSION | String | PDF version information (1.2, 1.3, 1,4 or 1.5)

3. PDF Security: Protect your PDF files with password in different encryption level. Prevent PDF files from being printed, copied, changed, extracted, signed, filled, assembled and/or merged.

User Password is used to open the PDF document
Owner Password is used to change security settings

Encryption Level

  • 40-bit RC4: Acrobat 3.0 and Later
  • 128-bit RC4: Acrobat 5.0 and Later

Security Options:

  • Printing: Allow to print
  • Modify Contents: Allow to modify
  • Copy: Allow to copy or extract
  • Modify Annotations: Allow to add or modify annotations or form fields
  • Fill In: Allow to input form field and signature (128-bit RC4 only)
  • Screen Readers: Allow to enable accessibility (128-bit RC4 only)
  • Assembly: Allow to modify document assembly (128-bit RC4 only)
  • Degraded Printing: Allow to print degraded mode (128-bit RC4 only)

The following registry table sets the properties of the generated PDF:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\PDF_Security
USESECURITY | Integer | This Flag must be set 1 to use the SECURITY options (0/1).
USER_PASSWORD | String | User Password
OWNER_PASSWORD | String | Owner Password
BIT128 | Integer | Flag to use 128-bit RC4(0/1)
PRINT | Integer | Flag to use Printing (0/1)
MODIFY_CONTENT | Integer | Flag to use Modify Contents (0/1)
COPY | Integer | Flag to use Copy (0/1)
MODIFY_ANNOTATION | Integer | Flag to use Modify Annotations (0/1)
FILL | Integer | Flag to use Fill In (0/1)
SCREEN | Integer | Flag to use Screen Readers (0/1)
ASSEMBLY | Integer | Flag to use Assembly (0/1)
DEGRADED_PRINT | Integer | Flag to use Degraded Printing (0/1)

4. PDF View Preference: Set the view options when the PDF is open.

  • Opening Page Layout: The page layout to be used when the document is opened (choose one).
    • SinglePage - Display one page at a time.
    • OneColumn - Display the pages in one column.
    • TwoColumnLeft - Display the pages in two columns, with odd numbered pages on the left.
    • TwoColumnRight - Display the pages in two columns, with odd numbered pages on the right.
  • Open Page Display Mode: The page mode how the document should be displayed when opened (choose one).
    • UseNone - Neither document outline nor thumbnail images visible.
    • UseOutlines - Document outline visible.
    • UseThumbs - Thumbnail images visible.
    • FullScreen - Full-screen mode, with no menu bar, window controls, or any other window visible.
  • HideToolbar - hide the viewer application's tool bars when the document is active.
  • HideMenubar - hide the viewer application's menu bar when the document is active.
  • HideWindowUI - hide user interface elements in the document's window (such as scroll bars and navigation controls), leaving only the document's contents displayed.
  • FitWindow - resize the document's window to fit the size of the first displayed page.
  • CenterWindow - position the document's window in the center of the screen.
  • Exit Full-Screen Mode: The document's page mode, specifying how to display the document on exiting full-screen mode. It is meaningful only if the page mode is FullScreen (choose one).
    • UseNone - Neither document outline nor thumbnail images visible
    • Outlines - Document outline visible
    • UseThumbs - Thumbnail images visible

The following registry table sets the properties of the generated PDF:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\PDF_View
USEVIEW | Integer | This Flag must be set 1 to use the view options (0/1).
LAYOUT | Integer | Flag to Open Page Layout (0/1/2/3)
DISPLAY | Integer | Flag to Open Page Display Mode (0/1/2/3)
HIDETOOLBAR | Integer | Flag to HideToolbar (0/1)
HIDEMENUBAR | Integer | Flag to HideMenubar (0/1)
HIDEWINDOWUI | Integer | Flag to HideWindowUI (0/1)
FITWINDOW | Integer | Flag to FitWindow (0/1)
CENTERWINDOW | Integer | Flag to CenterWindow (0/1)
EXITFULL | Integer | Flag to Exit Full-Screen Mode (0/1/2)

5. PDF Presentation: Set Page display duration, type and duration of the transition effect when displaying a PDF document as a “presentation” or “slide show.”

  • Each Page's Display Duration (second) - Specifies the advance timing of the page when a presentation is being played in a non-interactive mode. It describes the maximum amount of time the page is displayed before the viewer automatically turns to the next page; the user can advance the page manually before the time is up.

  • Type of the Transition Effect - Specifies the implementations of presentation modes: Horizontal Blinds, Vertical Blinds, Bottom-Top Wipe, Diagonal Glitter, Dissolve, Inward Box, Left-Right Glitter, Left-Right Wipe, Outward Box, Right-Left Wipe, Horizontal Split, Out Horizontal Split, In Vertical Split, Out Vertical Split, Top-Bottom Glitter, Top-Bottom Wipe.

  • Duration of the Transition Effect (Second) - Specifies the time of transition.

The following registry table sets the properties of the generated PDF:
Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\PDF_Presentation
USEPRESENT | Integer | This Flag must be set 1 to use the Presentation options (0/1).
DISPLAYTIME | Integer | Each Page's Display Duration (second)
TRANS_TYPE | Integer | Type of the Transition Effect
TRANS_TIME | Integer | Duration of the Transition Effect (Second)

6. PDF Page's Rotate and Crop: Page Rotation by 90/180/270°, crop box with margins...

If all 0, there will be no page rotation or crop.

The following registry table sets the properties of the generated PDF:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\PDF_ROTATECROP
USEROTATECROP | Integer | This Flag must be set 1 to use the Rotation and Crop Options (0/1).
Rotate_Degree | Integer | Page Rotation in degree (0/90/180/270)
Crop_Left | String | Left Margin of Crop Box in points. "12.50"
Crop_Right | String | Right Margin of Crop Box in points. "0.00"
Crop_Bottom | String | Bottom Margin of Crop Box in points.
Crop_Top | String | Top Margin of Crop Box in points.

7. Output Options: Use default folder or name, view file after saving...

  • Use default Folder: The PDF file will be saved under this folder automatically. Click the right Button to select the folder location.

  • Use Default File Name: The PDF file name for the saved file.

  • Use Print Job Name: Use the file name parsed from Print job name.

  • View File after saving: The PDF will be displayed automatically after the saving.
  • Hide this dialog in saving File: This option dialog will be hidden during the saving.

Post Process options allow you to specify an action to take once the PDF creation process is complete after "Create PDF File" is clicked.

  • Do Nothing: If selected, the created PDF will be saved to disk and no further action will be taken.
  • Email PDF: If selected, the created PDF will be saved to disk, and a copy attached to a blank email message using your default email editor.
  • Merge PDF: If selected, the created PDF will be saved to disk and then sent to the Free PDFill PDF Tools: Merge to merge with other PDFs.
  • Split or Reorder PDF: If selected, the created PDF will be saved to disk and then sent to the Free PDFill PDF Tools: Split or Reorder so that the PDF Pages will be split or reordered.
  • Reformat PDF: If selected, the created PDF will be saved to disk and then sent to the Free PDFill PDF Tools: Reformat so that the multiple PDF Pages will be reformatted into one page.
  • Header or Footer PDF: If selected, the created PDF will be saved to disk and then sent to the Free PDFill PDF Tools: Heater and Footer so that the information, such as date, time, page numbers, or the title of the document will be added in the top or bottom margins of each PDF Page.
  • Watermark PDF by Text: If selected, the created PDF will be saved to disk and then sent to the Free PDFill PDF Tools: Watermark by Text so that the s tylized text stamp will be added onto each PDF Page.
  • Watermark PDF by Image: If selected, the created PDF will be saved to disk and then sent to the Free PDFill PDF Tools: Watermark by Image so that the i mage stamp will be added onto each PDF Page.

The following registry table sets the properties of the generated PDF File:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\OutputOption
LASTPDFORIMAGE | Integer | Flag to use PDF Writer (0)
USE_DEFAULT_FOLDER | Integer | Flag to Use default Folder Location (0/1)
DEFAULT_FOLDER_PATH | String | Path name for the default Folder
USE_DEFAULT_FILENAME | Integer | Flag to Use Default File Name (0/1)
DEFAULT_FILENAME | String | File Name for the default PDF file
USE_PRINT_JOBNAME | Integer | Flag to Use Print Job Name (0/1)
VIEW_FILE | Integer | View File after saving (0/1)
HIDE_DIALOG | Integer | Hide this option dialog in saving File (0/1)

Notes:

  • To save a PDF, Set LASTPDFORIMAGE to 0.

  • To hide the "Save As" Dialog, USE_DEFAULT_FOLDER must be 1 with valid DEFAULT_FOLDER_PATH; USE_DEFAULT_FILENAME must be 1 with valid DEFAULT_FILENAME or USE_PRINT_JOBNAME must be 1.

  • To hide this dialog, HIDE_DIALOG must be 1.


PDFill PDF Editor with FREE PDF Writer and FREE PDF Tools - www.PDFill.com

FREE PDFill Image Writer

PDFill Image Writer (Printer) is installed as a virtual printer driver and allows you to convert any printable document from any application which supports printing into a standard PNG, JPG, BMP, TIF, or GIF image. The converted image retains all of the information from the original file and can be easily shared and viewed without the need for the original software. There are a lot free advanced options to control the image format and quality. Registry access is available for programmatic control.

To get free Image, just print from your application into PDFill PDF&Image Writer!

1. Image Options: PNG, JPG, BMP, TIF and GIF
2. Output Options
3. Install or Uninstall PDFill PDF&Image Writer
 4. Quick Start to Create PDF or Image files
5. Frequent Asked Question and Technical Support
6. License Agreement

1. Image Options:

  • Check the Button for "Free Image Writer" and Select Image Type: PNG, JPG, BMP, TIF, or GIF.
  • PNG: PNG (pronounced 'ping') stands for Portable Network Graphics, and is the recommended format for high-quality images. It supports full quality color and offers excellent lossless compression of the image data, and is widely supported. Please see the PNG website for a complete description of the format. Here are Image PNG Options:

    PNG16M: 24-bit RGB Color

    PNGGRAY: Grayscale Color

    PNG256: 8-bit Color

    PNG16: 4-bit Color

    PNGMONO: Black-and-White Color

    PNGALPHA: 32-bit RGBA Color

  • JPG: JPG or JPEG is a compression method specifically intended for continuous-tone images such as photographs, not for graphics, and it is therefore quite unsuitable for the vast majority of page images produced with PostScript. For anything other than pages containing simple images the lossy compression of the jpeg format will result in poor quality output regardless of the input. It is good for photographic or scanned images. Here are Image JPG Options:

JPEG: Color JPEG file
JPEGGRAY: Grayscale JPEG
JPEG Quality: Scale 1-100%. Lower values drop more information from the image to achieve higher compression, and therefore have lower quality when reconstituted

  • BMP: BMP file format is sometimes called bitmap or DIB file format (for device-independent bitmap), is an image file format used to store bitmap digital images, especially on Microsoft Windows and OS/2 operating systems. The size of BMP is much bigger that that of PNG. Here are Image BMP Options:

BMP16M: 24-bit RGB Color
BMPMONO: Black-and-White Color
BMPGRAY: Grayscale Color
BMPSEP1:
BMPSEP8:
BMP16: 4-bit Color
BMP256: 8-bit Color
BMP32B: 32-bit RGBA Color

  • TIF: Tagged Image File Format (abbreviated TIFF) is a file format for storing images, including photographs and line art. It is very useful when all the image pages needs to be saved into a single image file (Page Number Digits need to be 0). Here are Image TIF options.

TIFF24NC: Produces 24-bit RGB output (8 bits per component).
TIFFGRAY: Produces 8-bit gray output.
TIFF12NC: Produces 12-bit RGB output (4 bits per component).
TIFF32NC: Produces 32-bit CMYK output (8 bits per component).
TIFFSEP:
TIFFCRLE: G3 fax encoding with no EOLs
TIFFG3: G3 fax encoding with EOLs
TIFFG32D: 2-D G3 fax encoding
TIFFG4: G4 fax encoding
TIFFLZW: LZW-compatible (tag = 5) compression
TIFFPACK: PackBits (tag = 32773) compression

  • GIF: The Graphics Interchange Format (GIF) is an 8-bit-per-pixel bitmap image format that was introduced by CompuServe in 1987 and has since come into widespread usage on the World Wide Web due to its wide support and portability. Here are the image GIF Options:

GIF16M: 24-bit RGB Color
GIFGRAY: Grayscale Color
GIF256: 8-bit Color
GIF16: 4-bit Color
GIFMONO: Black-and-White Color

  • Image Resolution: This option sets the resolution of the output file in dots per inch.
  • Page Number Digits: The digits of page number format. This number will append to the name of the images file name.
    If 0, only one file will be created. TIF image has multiple pages inside.
    If 1, the page number will begin a single digit 1,2,3...
    If 2, it will begin with 01, 02, 03, .. 10, 11,...
    If 3, it will begin with 001, 002, 003, ...., 010, ....
  • Text or Graphics Alpha Bits: These options control the use of subsample antialiasing. Their use is highly recommended for producing high quality rasterizations of the input files. The option 4 is used for most optimum output, but smaller values can be used for faster rendering and smaller image size. Antialiasing is enabled separately for text and graphics content.
  • Rotation (degree): Rotate all the images by 0, 90, 180 or 270.
  • Flip Option: Flip all the images: No Flip; Flip Horizontally; Flip Vertically.

The following registry table sets the properties of the generated PDF:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\OutputOption
LASTPDFORIMAGE | Integer | Flag to use PDF Writer (1)
IMAGE_TYPE | String | PNG, JPG, BMP, TIF, or GIF
Option_PNG | String | PNG16M, PNGGRAY, PNG256, PNG16, PNGMONO, or PNGALPHA
Option_JPG | String | JPEG or JPEGGRAY
Option_BMP String BMP16M, BMPMONO, BMPGRAY, BMPSEP1, BMPSEP8, BMP16
BMP256, or BMP32B
Option_TIF | String | TIFF24NC, TIFFGRAY, TIFF12NC, TIFF32NC, TIFFSEP, TIFFCRLE, TIFFG3, TIFFG32D, TIFFG4, TIFFLZW, or TIFFPACK
Option_GIF | String | GIF16M, GIFGRAY, GIF256, GIF16, or GIFMONO
JPEG_QUALITY | Integer | Number between 1 to 100
DPI | Integer | DPI >0
Digits | Integer | 0, 1, 2, 3, or 4
Text_Bits | Integer | 1, 2 or 4
Graphics_Bits | Integer | 1, 2 or 4
Rotate_Degree | Integer | 0, 90, 180, 270
Flip_Option | Integer | 0 (No Flip); 1 (Flip Horizontally) and 2 (Flip Vertically)
2. Output Options: Use default folder or name, view file after saving...

  • Use default Folder: The Image file will be saved under this folder automatically. Click the right Button to select the folder location.

  • Use Default File Name: The image file name for the saved file.

  • Use Print Job Name: Use the file name parsed from Print job name.

  • View File after Saving: The Image file will be displayed automatically after the saving.
  • Hide this dialog in Saving File: This option dialog will be hidden during the saving.

The following registry table sets the properties of the generated Image File:

Under: HKEY_CURRENT_USER\Software\PlotSoft\Writer\OutputOption
LASTPDFORIMAGE | Integer | Flag to use Image Writer (1)
USE_DEFAULT_FOLDER | Integer | Flag to Use default Folder Location (0/1)
DEFAULT_FOLDER_PATH | String | Path name for the default Folder
USE_DEFAULT_FILENAME | Integer | Flag to Use Default File Name (0/1)
DEFAULT_FILENAME | String | File Name for the default Image file
USE_PRINT_JOBNAME | Integer | Flag to Use Print Job Name (0/1)
VIEW_FILE | Integer | View File after saving (0/1)
HIDE_DIALOG | Integer | Hide this option dialog in saving File (0/1)

Notes:

  • To save an Image, Set LASTPDFORIMAGE to 1.

  • To hide the "Save As" Dialog, USE_DEFAULT_FOLDER must be 1 with valid DEFAULT_FOLDER_PATH; USE_DEFAULT_FILENAME must be 1 with valid DEFAULT_FILENAME or USE_PRINT_JOBNAME must be 1.

  • To hide this dialog, HIDE_DIALOG must be 1.


Register PDFill PDF Editor

View Menu:

Free PDF Writer | Free PDF Writer | See Free PDF Writer
 | Output Options | See Output Options
 | Optimization | See PDF Optimization
 | Description | See PDF Description
 | Security | See PDF Security
 | View Preference | See PDF View Preference
 | Presentation | See PDF Presentation
 | Rotate & Crop | See PDF Page's Rotate and Crop
Free Image Writer | Free Image Writer | Click to use Free Image Writer.
 | Output Options | See Image Writer's Output Options.
 | PNG | See Image Writer's PNG.
 | JPG | See Image Writer's JPG.
 | BMP | See Image Writer's BMP.
 | TIF | See Image Writer's TIF.
 | GIF | See Image Writer's GIF.
Flashing | On | The saving buttons will be flashing inside the dialog.
 | Period | The flashing period in second
Windows | Places this Dialog above all other windows | This dialog will be positioned topmost above all the other windows.
 | Show Max Icon | Show the max icon of the dialog.
 | Show Scroll Bar | Show the scroll bar of the dialog.
 | 480 x 360 | The window size of the dialog will be 480 x 360.
 | 640 x 480 | The window size of the dialog will be 640 x 480.
 | 800 x 600 | The window size of the dialog will be 800 x 600.

Advanced Menu:

Reset All Parameters | Reset all parameters to the default values and exit the dialog.
Keep Last PS file after Saving | After you print into the writer, the PS will be kept so that you can save into a new file using new options without printing the same document again.
View Folder after saving | The folder will be displayed automatically after the saving.


PDFill PDF Editor with FREE PDF Writer and FREE PDF Tools - www.PDFill.com

1. Install or Uninstall PDFill PDF&Image Writer
2. Quick Start to Create PDF or Image files
3. Frequent Asked Questions
4. License Agreement

1. Install or Uninstall PDFill PDF&Image Writer:

PDFill has the following installation requirements:

  • You must have a Free Adobe Acrobat Reader 4 or later. Does not require the full version of Adobe Acrobat to run. You can access http://www.adobe.com to download Adobe Reader from Adobe Systems Incorporated.
  • Free AFPL Ghostscript 8.50 or Later. You can download and install manually the GhostScript 8.64 (FREE) from www.PDFill.com
  • Download PDFill PDF&Image Writer from http://www.pdfill.com/download.html.
  • Total system memory of at least 128 MB RAM.
  • A minimum of 50MB free hard disk space.
  • SVGA monitor. Suggested monitor settings: 16 bit color and 800x600 or higher.

To Install PDFill:

  • If your OS is Windows 2000/2003/XP/Vista/Win7, please use an administrator account to install or uninstall the application.
  • If you have older version of PDFill installed, please uninstall it before you install the newer version.
  • Double-click the installation EXE file in Windows Explorer. Follow all the instructions in the dialog boxes that appear.
  • If you can not install PDFill on your 2000, please update Windows Installer 2.0 Redistributable for Windows 2000.

To remove PDFill:

  • Exit from PDFill first.
  • To uninstall PDFill, click START > SETTINGS > CONTROL PANEL. Then Double Click Add/Remove Programs. Select any copies of PDFill that you find and click remove.
2. Quick Start to Create PDF or Image files:

To use your PDFill PDF&Image Writer, open the file that you would like to print to PDF or Image. Select the Print option (usually found under File > Print), and select PDFill PDF&Image Writer from the list of available printers. You will be prompted to select the destination directory and filename for your output file.

Please note that some applications, such as NotePad, will automatically print to your default printer when you select the Print option. If you want to print to PDFill PDF&Image Writer, you may need to change your printer selection within that application before printing the file. This can typically be done from Page Setup.

After you print, you will see the saving options dialog. You can hide this dialog by turning on "Hide this Dialog in Saving File".

3. Frequent Asked Questions:

PDFill does support XP/2003/Vista/Win7 64 bit | See http://www.pdfill.com/download.html
Adobe Reader for 98/ME | You need Adobe Reader 5.1 that is the latest version to support 98/ME.
PDFill Writer doesn't work; Install Printer Driver failed; PDFill Writer is not showing up in my print window selection. | Follow the steps below to add a Printer manually afterwards. 1) Go to Control Panel -> Printers and Faxes to add a local printer. 2) Choose "PDFillWriterPort" on Select a Printer Port dialog box, click Next. 3) Choose a Postscript Printer (PS) (e.g. Apple Color LaserWriter 12/600), click Next. 4) Enter "My PDF Writer" as Printer name, click Next -> Finish.
International Text characters are wrong or missing in generated PDF file. | On Win2000/XP/Vista boxes, select PDFill Writer properties in the application print dialog box and click "Advanced". Select "Download as Softfont" (default is "Substitute with Device Fonts") on TrueType Fonts setting for font embedding.
PDF Writer creates PRN(*.prn) file instead of PDF. | Please don't click "print to file". The new PDF will be created in a few seconds.
Change Page Size | Print Properties -> Advanced ->Page Size->Postscript Custom Page Size
How can I add Web link in the new PDF? | There are two ways: 1. In your doc, please show the link explicitly: PDFill PDF Editor (http://www.PDFill.com) 2. Add a Web link by PDFill PDF Editor. See here.
How can I change the layout of PDF from Microsoft Excel? | Inside Microsoft Excel, use File =>Print Preview=>Close. The page layout dashing line will be displayed inside Excel. You may need to adjust the the column width or the row height to get the desired layout.
How can I print all sheets in a workbook from Microsoft Excel? | In the File menu click Print. The Print window will open. At the bottom of the Print window find a section labeled: Print what . Click on the radio button labeled: Entire workbook.
How can I get a better PDF layout from HTML? | Please try to convert HTML pages into a Microsoft Word document, then, Print Word into PDFill PDF Writer.
Still have Problem with PDFill Writer | Please try another free PDF Writer, like CutePDF.
Get Free Support | Please see Support information.

4. License Agreement

PDFill Copyright © 2002-2009 by PlotSoft L.L.C.. All rights reserved.


PDFill License

PDFill® Copyright © 2002-2009 by PlotSoft L.L.C.

All rights reserved.

PDFill License

PlotSoft L.L.C.

Your Agreement to this License

By using, copying, transmitting, distributing or installing PDFill ("PDFill"), you agree to all of the terms of this agreement (“License”).

Please read the license terms below. If you do not agree to all of the terms of this license, you can not use, copy, transmit, distribute, or install PDFill.

Scope of License

A free Evaluation Copy of PDFill PDF Editor may be used on one computer or workstation for your evaluation purposes in any time. You can freely distribute any copies of the evaluation version of PDFill PDF Editor. With PDFill PDF Editor Evaluation, the advertising information will be included into the new edited PDF file. If you want to get rid of the advertising, a registration fee of $19.99 is required to get the standard license. See PDFill website http://www.PDFill.com for information about online ordering and quantity discounts.

A Licensed Copy of PDFill PDF Editor may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. This is not a concurrent use license. Each Licensed Copy may be accessed through a network, provided that you have purchased rights to use a Licensed Copy for each workstation that will access PDFill through the network. For instance, if 2 different workstations will access PDFill on the network, you must purchase rights to use 2 Licensed Copies of PDFill, regardless of whether the 2 workstations will access PDFill at different times or concurrently. Also, you can not use one licensed copy for both your company and your home. You need to buy each for them.

A Copy of FREE PDFill PDF Tools can be used on any computer for your purposes (Personal or Commercial) in any time. You can freely distribute any copies of the PDFill PDF Tools with the free evaluation copy of the PDFill PDF Editor. The new PDF created by PDFill PDF Tools contains no watermarks or pop-up advertisements. It is absolutely FREE!

A Copy of FREE PDFill PDF Writer can be used on any computer for your purposes (Personal or Commercial) in any time. You can freely distribute any copies of the PDFill PDF Writer with the free evaluation copy of the PDFill PDF Editor. The new PDF created by PDFill PDF Writer contains no watermarks or pop-up advertisements. It is absolutely FREE!

A Copy of FREE PDFill Image Writer can be used on any computer for your purposes (Personal or Commercial) in any time. You can freely distribute any copies of the PDFill PDF Writer with the free evaluation copy of the PDFill PDF Editor. The new PDF created by PDFill PDF Writer contains no watermarks or pop-up advertisements. It is absolutely FREE!

In purchasing the present license you understand and agree that it is not replaceable in case of accidental loss, including but not limited to major software recovery operations, software crashes, or hardware theft. Please print your registration information and keep it at a safe place.

Warranty Disclaimers and Liability Limitations

PDFill, and any and all accompanying software, files, data and materials, are distributed and provided “AS IS” and with no warranties of any kind, whether express or implied.

You acknowledge that good data processing procedure dictates that any program, including PDFill, must be thoroughly tested with non-critical data before you rely on it, and you hereby assume the entire risk of using the program. This disclaimer of warranty constitutes an essential part of this License.

Any liability of PlotSoft will be limited exclusively to refund of purchase price, if any. In addition, in no event shall PlotSoft, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any indirect, incidental, consequential, or punitive damages whatsoever relating to the use of PDFill, or to your relationship with PlotSoft.

In addition, in no event does PlotSoft authorize you to use PDFill in applications or systems where PDFill's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use by you is entirely at your own risk, and you agree to hold PlotSoft harmless from any and all claims or losses relating to such unauthorized use.

General

All rights of any kind in PDFill which are not expressly granted in this License are entirely and exclusively reserved to and by PlotSoft. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, PDFill. You may not make access to PDFill available to others in connection with a service bureau, application service provider, or similar business.

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. This License shall be governed by the laws of the State of Missouri, without regard to Missouri choice-of-law rules. Exclusive jurisdiction and venue for all matters relating to this License shall be in courts and fora located in the State of Missouri, and you consent to such jurisdiction and venue. There are no third party beneficiaries of any promises, obligations or representations made by PlotSoft herein. Any waiver by PlotSoft of any violation of this License by you shall not constitute or contribute to a waiver of any other or future violation by you of the same provision, or any other provision, of this License.


PDFill License

FREE PDFill PDF Tools

No Watermarks!
No Pop-up Advertisements!
FREE for Personal or Commercial!
FREE Distribution!

PDFill PDF Tools are FREE PDF Toolbox to Merge, Split, Reorder, Encrypt, Decrypt, Rotate, Crop, Reformat, Header, Footer, Watermark, Images to PDF, PDF to Images, Form Fields Delete/Flatten/List, and PostScript to PDF.

The following table explains each free function. Please click each item to see the details.
1. | Merge | Merge two or more PDF files into a single PDF file.
2. | Split or Reorder | Extract pages from a PDF file into a new file. Reorder the page sequence into a new file.
3. | Encrypt and Decrypt with Security Options | Encrypt or Decrypt PDF documents (Master Password or User Password may be required). Protect PDF files with passwords and prevent PDF files from being printed, copied, changed, filled, extracted, signed, assembled or merged. Supports Adobe® Standard 40-bit Encryption and Adobe® Advanced 128-bit Encryption
4. | Rotate and Crop | Rotate a PDF page by 0, 90, 180 and 270 degree. Crop a page to modify its layout of Print or View by specifying its margins.
5. | Reformat | Put multiple pages into one page to save paper and inks when printing hard copies. Add note lines for handout.
6. | Header and Footer | Add Headers and Footers to present information, such as date, time, page numbers, or the title of the document, in the top or bottom margins of a document.
7. | Watermark by Stylized Text | Add Stylized Text Stamp.
8. | Watermark by Image | Add Stamp using image file (bmp, jpg, gif, png, tiff, and wmf).
9. | Convert Images to PDF | Convert images (bmp, jpg, gif, png, tiff, and wmf) into a PDF file with layout options.
10. | Convert PDF into images | Save PDF pages into images (png, jpg, bmp and tiff) with DPI options.
11. | PDF Form Fields: Delete, Flatten, List | Delete, Flatten or List the PDF Form Fields inside a PDF file.
12. | Convert PostScript(PS) File into PDF | Convert PS file into PDF so that adobe reader can read it.
13. | Add Information | Add information (Title, Author, Subject, Keywords, Created, Creator, Producer and Version) to the PDF document.
14. | Free Scanner | Scan your Paper Form or Photo into images (PNG, JPG, BMP, TIF and GIF) or PDF
15. | Create Transparent Image | Create a transparent image with options to adjust one Color and the left Colors' transparency.


PDFill License

$19.99 PDFill PDF Editor

Insert, Fill, Edit, Delete and Submit PDF Form Fields; PDF Draw, Comment, Annotation;
Open, View, Edit and Save PDF files without Adobe Acrobat!

Many of you are aware that Adobe Reader is a software program that has been installed in almost every computer and is used to view and fill PDF forms. With Adobe Reader, if the file is an interactive form, you may enter data on the form and print the form with the data, but the PDF file can not be saved locally. If the PDF file is a non fill-in form, Adobe Reader has no way of entering data on the form. The only solution to this up until now was to dish out more than $500 to purchase the complete Adobe Acrobat program in order to perform those tasks. But now with PDFill PDF Editor you can do all these tasks at a fraction of the cost. Furthermore, you can open PDF file, add commenting annotations or draw shapes. The edited documents can then be saved directly back to the original PDF file.

Main Features: See What is new for the most updated features.

PDF Form Filler PDF Commenting Align and Position PDF Drawing PDF Filler PDF Filler Save PDF with Options PDF Form Maker PDF Form Maker

  • Save All Editing back to the Original PDF
    Save the filled PDF locally with options to add Description, Encrypt/Decrypt, View Preferences, Presentation Effect and Rotate/Crop. Save editing now and Resume editing later.

  • PDF Form Filler
    Fill-in and save interactive PDF forms to your computer for easy archiving, E-mailing or later printing. Allows you to fill and edit Text, Check Box, Radio Button, Combo Box and List Box fields. You can also import/export form data into a tab delimited Text and Excel file.     AutoFill, Batch Command and Spell Checker Tools are for the filling convenience.

  • PDF Form Maker
    Create    , Fill, Edit, Delete, Reset or Submit PDF form fields (Text Field, Check Box, Radio Button, Combo Box, List Box or Push Button). You can also add PDF Form Action (Reset, Submit, Simple Calculation ...) into the new field.

  • PDF Filler
    Insert new formatted Text, Check, Image, Hyperlink, Whiteout and Highlight accurately anywhere inside PDF even if there is no interactive form inside without Adobe Acrobat. You can also create or insert Blank PDF Page and then insert new text, check, image or form fields inside.

  • PDF Commenting or Annotation
    Add Commenting, Annotating or Marking (Text Box, Highlight, Sticky Note, Popup, File Attachment, Play Video, Line, Arrow, Rectangle, Circle) directly on the PDF document.

  • PDF Drawing
    Add Line, Arrow, Rectangle, Circle, Ellipse, Arc, Pie with border/filling styles directly into the PDF document.

  • PDF Scanner
    Scan your Paper Form or Photo directly into a new or existing PDF document, then you can fill it using computer!

  • PDF Action
    Add PDF Actions: Web Link, PDF Form Reset & Submit, JavaScript, Page Navigation (First, Next, Previous, Last), Goto another PDF document, and launching external application.

  • PDF Bookmark
    Add PDF Bookmarks to navigate the PDF: Go to a Local or External PDF Page, Web Link or External Document.

  • Support for International languages
    Type your language into PDF just like if you were using a typewriter. See PDF Filler.
    Create a PDF Form Field to fill International languages. See PDF Form Maker.
    Add your comment in your language as Free Text, Sticky Notes or Popup. See PDF Commenting.

  • Align Tool and Smart Positioning to precisely align Left, Horizontal Middle, Right, Top, Vertical Center, Bottom, Space Evenly Across/Down, Make Same Width or Height; Multiple selected objects for Delete, Copy and Move. Tab Order by clicking visually or Table arrangement.